*{
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

body{
    background-color: #ecc1a1;
}

.main_container{
    background-color: #F5F1EE;
    max-width: 45%;
    margin: 10rem auto;
    display: flex;
    justify-content: center;
    border-radius: 15px;
    padding: 1rem;
    box-shadow: 10px 10px 10px gray;
}

.container_1{
    padding: 0.5rem;
}

.container_1 input[type="text"]{
    border-radius: 5px;
}

.operator button{
    padding: 0.5rem;
    border-radius: 50%;
    margin: 0 0.5rem 0 0.5rem;
    font-size: 1.5rem;
    font-weight: 900;
    background-color: #DAC8BE;
    border-color: #DAC8BE;
}

.operator i{
    font-size: x-large;
    margin-top: 1rem;
}

.container_2{
    background-color: #58626c;
    color: white;
    padding: 1rem;
    border-radius: 15px;
}

.container_2_inner{
    display: grid;
    grid-template-columns: 1fr 1fr;
}

.text{
    padding: 1rem 0px 1rem 0px;
    font-weight: 900;
}

.container_2 input[type="text"]{
margin: 1rem 0 1rem 0;
border-radius: 5px;
background-color: #58626C;
color: #fff;
}

.container_2 button{
    padding: 1rem 3rem;
    border-radius: 10px;
    font-weight: 900;
    background-color: #F5F1EE;
    color: #58626C;
    border-color: #F5F1EE;
}

#reset_btn{
    display: flex;
    justify-content: center;
    margin-top: 7.5rem;
}

/* Media queries to make this project responsive */

@media screen and (max-width:1200px){
    .main_container{
        display: flex;
        flex-direction: column;
    }
}

@media screen and (max-width: 650px){
    .container_1 p{
        text-align:center;
    }
    
    .operator{
        display: flex;
        justify-content: center;
        flex: 1;
    }

    .container_2_inner{
        grid-template-columns: 1fr;
    }
    
    #tip_per_person, #total_per_person, #bill_input, #tip{
        width: 100%;
    }
}
